Cyberduck Mountain Duck CLI

#6242 closed defect (fixed)

Failure loading JNA native library

Reported by: jimkahnw Owned by:
Priority: high Milestone: 4.2
Component: core Version: 4.1
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

I just reinstalled my system, Mac OS 10.6.8. But Cyberduck won't launch. There is no error message and the Apple crash report does not launch, either. I'm sure I have the latest OS. Please help. Thanks.

Attachments (5)

Console Messages Cyberduck.log (13.4 KB) - added by jimkahnw on Sep 20, 2011 at 11:07:06 AM.
Cyberduck System log for Jim Kahnweiler
Console Messages Cyberduck2.txt (4.2 KB) - added by jimkahnw on Sep 21, 2011 at 11:18:40 AM.
Terminal Cyberduck.txt (14.2 KB) - added by jimkahnw on Sep 21, 2011 at 1:13:45 PM.
Terminal Cyberduck.2.txt (14.2 KB) - added by jimkahnw on Sep 21, 2011 at 1:15:11 PM.
Terminal print out for JimK
Screen shot 2011-09-27 at 6.11.44 AM.png (37.8 KB) - added by jimkahnw on Sep 27, 2011 at 10:13:44 AM.
jimkahnw screen shot Cyberduck info

Download all attachments as: .zip

Change History (47)

comment:1 follow-up: Changed on Sep 20, 2011 at 7:11:45 AM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:2 in reply to: ↑ 1 Changed on Sep 20, 2011 at 11:06:14 AM by jimkahnw

Replying to dkocher:

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

I don't see a button to add an attachment.

Here's the log:

9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	[LaunchRunner Error] ch.cyberduck.ui.cocoa.MainApplication.main(String[]) threw an exception:
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	java.lang.UnsatisfiedLinkError: jnidispatch (/com/sun/jna/darwin/libjnidispatch.jnilib) not found in resource path
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at com.sun.jna.Native.loadNativeLibraryFromJar(Native.java:722)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at com.sun.jna.Native.loadNativeLibrary(Native.java:699)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at com.sun.jna.Native.<clinit>(Native.java:114)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at org.rococoa.Foundation.<clinit>(Foundation.java:73)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at org.rococoa.Rococoa.createClass(Rococoa.java:49)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at org.rococoa.cocoa.foundation.NSObject.<clinit>(NSObject.java:28)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:49)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at java.lang.reflect.Method.invoke(Method.java:597)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
9/19/11 9:53:25 PM	[0x0-0x146146].ch.sudo.cyberduck[2045]	        at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	[LaunchRunner Error] ch.cyberduck.ui.cocoa.MainApplication.main(String[]) threw an exception:
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	java.lang.UnsatisfiedLinkError: jnidispatch (/com/sun/jna/darwin/libjnidispatch.jnilib) not found in resource path
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at com.sun.jna.Native.loadNativeLibraryFromJar(Native.java:722)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at com.sun.jna.Native.loadNativeLibrary(Native.java:699)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at com.sun.jna.Native.<clinit>(Native.java:114)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at org.rococoa.Foundation.<clinit>(Foundation.java:73)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at org.rococoa.Rococoa.createClass(Rococoa.java:49)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at org.rococoa.cocoa.foundation.NSObject.<clinit>(NSObject.java:28)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:49)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at java.lang.reflect.Method.invoke(Method.java:597)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
9/19/11 9:53:40 PM	[0x0-0x147147].ch.sudo.cyberduck[2047]	        at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	[LaunchRunner Error] ch.cyberduck.ui.cocoa.MainApplication.main(String[]) threw an exception:
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	java.lang.UnsatisfiedLinkError: jnidispatch (/com/sun/jna/darwin/libjnidispatch.jnilib) not found in resource path
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at com.sun.jna.Native.loadNativeLibraryFromJar(Native.java:722)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at com.sun.jna.Native.loadNativeLibrary(Native.java:699)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at com.sun.jna.Native.<clinit>(Native.java:114)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at org.rococoa.Foundation.<clinit>(Foundation.java:73)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at org.rococoa.Rococoa.createClass(Rococoa.java:49)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at org.rococoa.cocoa.foundation.NSObject.<clinit>(NSObject.java:28)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:49)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at java.lang.reflect.Method.invoke(Method.java:597)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
9/19/11 9:54:13 PM	[0x0-0x148148].ch.sudo.cyberduck[2050]	        at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)
9/19/11 9:57:03 PM	[0x0-0x150150].ch.sudo.cyberduck[2090]	[Deprecated] CocoaJava: com.apple.cocoa.foundation.NSRuntime
9/19/11 9:57:03 PM	[0x0-0x150150].ch.sudo.cyberduck[2090]	-[NSJavaVirtualMachine initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit
9/19/11 9:57:03 PM	com.apple.launchd.peruser.501[110]	([0x0-0x150150].ch.sudo.cyberduck[2090]) Exited with exit code: 255
9/19/11 9:58:44 PM	[0x0-0x156156].ch.sudo.cyberduck[2114]	[Deprecated] CocoaJava: com.apple.cocoa.foundation.NSRuntime
9/19/11 9:58:44 PM	[0x0-0x156156].ch.sudo.cyberduck[2114]	-[NSJavaVirtualMachine initWithClassPath:] FATAL: cannot initialize ObjCJava. Exit
9/19/11 9:58:44 PM	com.apple.launchd.peruser.501[110]	([0x0-0x156156].ch.sudo.cyberduck[2114]) Exited with exit code: 255
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	[LaunchRunner Error] ch.cyberduck.ui.cocoa.MainApplication.main(String[]) threw an exception:
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	java.lang.UnsatisfiedLinkError: jnidispatch (/com/sun/jna/darwin/libjnidispatch.jnilib) not found in resource path
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at com.sun.jna.Native.loadNativeLibraryFromJar(Native.java:722)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at com.sun.jna.Native.loadNativeLibrary(Native.java:699)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at com.sun.jna.Native.<clinit>(Native.java:114)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at org.rococoa.Foundation.<clinit>(Foundation.java:73)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at org.rococoa.Rococoa.createClass(Rococoa.java:49)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at org.rococoa.cocoa.foundation.NSObject.<clinit>(NSObject.java:28)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:49)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at java.lang.reflect.Method.invoke(Method.java:597)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
9/19/11 10:05:35 PM	[0x0-0x15f15f].ch.sudo.cyberduck[2147]	        at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	[LaunchRunner Error] ch.cyberduck.ui.cocoa.MainApplication.main(String[]) threw an exception:
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	java.lang.UnsatisfiedLinkError: jnidispatch (/com/sun/jna/darwin/libjnidispatch.jnilib) not found in resource path
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at com.sun.jna.Native.loadNativeLibraryFromJar(Native.java:722)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at com.sun.jna.Native.loadNativeLibrary(Native.java:699)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at com.sun.jna.Native.<clinit>(Native.java:114)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at org.rococoa.Foundation.<clinit>(Foundation.java:73)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at org.rococoa.Rococoa.createClass(Rococoa.java:49)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at org.rococoa.cocoa.foundation.NSObject.<clinit>(NSObject.java:28)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:49)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at java.lang.reflect.Method.invoke(Method.java:597)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
9/19/11 10:05:52 PM	[0x0-0x162162].ch.sudo.cyberduck[2152]	        at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	[LaunchRunner Error] ch.cyberduck.ui.cocoa.MainApplication.main(String[]) threw an exception:
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	java.lang.UnsatisfiedLinkError: jnidispatch (/com/sun/jna/darwin/libjnidispatch.jnilib) not found in resource path
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at com.sun.jna.Native.loadNativeLibraryFromJar(Native.java:722)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at com.sun.jna.Native.loadNativeLibrary(Native.java:699)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at com.sun.jna.Native.<clinit>(Native.java:114)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at org.rococoa.Foundation.<clinit>(Foundation.java:73)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at org.rococoa.Rococoa.createClass(Rococoa.java:49)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at org.rococoa.cocoa.foundation.NSObject.<clinit>(NSObject.java:28)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:49)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at java.lang.reflect.Method.invoke(Method.java:597)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
9/19/11 10:08:55 PM	[0x0-0x16e16e].ch.sudo.cyberduck[2189]	        at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)
Last edited on Sep 20, 2011 at 11:12:53 AM by dkocher (previous) (diff)

Changed on Sep 20, 2011 at 11:07:06 AM by jimkahnw

Cyberduck System log for Jim Kahnweiler

comment:3 Changed on Sep 20, 2011 at 11:41:56 AM by dkocher

  • Milestone set to 4.1.3
  • Summary changed from Cyberduck will not start to Failure loading JNA native library

comment:4 follow-up: Changed on Sep 20, 2011 at 12:02:47 PM by dkocher

Can you update to the latest snapshot build which does possibly not solve the issue but will give better error reporting on the cause of the issue. Please again post the system.log output.

Last edited on Sep 21, 2011 at 7:09:28 AM by dkocher (previous) (diff)

comment:5 Changed on Sep 20, 2011 at 12:03:18 PM by dkocher

#6015 closed as duplicate.

comment:6 in reply to: ↑ 4 ; follow-up: Changed on Sep 21, 2011 at 1:50:09 AM by jimkahnw

Replying to dkocher:

Can you update to the latest snapshot build which does possibly not solve the issue but will give better error reporting on the cause of the issue. Please again post the system.log output.

Cyberduck will not launch so I cannot enable Snapshot builds. Please send a link to download the latest build.

Thanks.

comment:7 in reply to: ↑ 6 Changed on Sep 21, 2011 at 6:21:50 AM by dkocher

Replying to jimkahnw:

Replying to dkocher:

Can you update to the latest snapshot build which does possibly not solve the issue but will give better error reporting on the cause of the issue. Please again post the system.log output.

Cyberduck will not launch so I cannot enable Snapshot builds. Please send a link to download the latest build.

Thanks.

Sorry I missed that. Builds are availble from http://update.cyberduck.ch/nightly/.

comment:8 Changed on Sep 21, 2011 at 11:19:17 AM by jimkahnw

No luck, the new build did not launch. See attached log.

comment:9 Changed on Sep 21, 2011 at 12:25:18 PM by dkocher

This is getting technical. But if don't mind, can you run in a Terminal.app window

DYLD_PRINT_APIS=1 ~/Downloads/Cyberduck.app/Contents/MacOS/Cyberduck

and send me the output printed. This assumes the snapshot build downloaded is in the Downloads folder of your user home directory.

Changed on Sep 21, 2011 at 1:13:45 PM by jimkahnw

Changed on Sep 21, 2011 at 1:15:11 PM by jimkahnw

Terminal print out for JimK

comment:10 Changed on Sep 21, 2011 at 1:16:06 PM by jimkahnw

Sorry, looks like I uploaded the same file twice.

comment:11 Changed on Sep 22, 2011 at 7:01:33 PM by Chris Riesbeck

I've got the same problem, with the same java.lang.UnsatisfiedLinkError: no jnidispatch in java.library.patherror on the console log. I just upgraded to Snow Leopard (10.6.8), started Cyberduck, which launched, but then said "there's an update." After the update it wouldn't launch any more. I copied the Sept 22 snapshot and am still getting the same error. If there's more info I can gather for you, let me know.

Last edited on Oct 18, 2011 at 12:37:30 PM by dkocher (previous) (diff)

comment:12 Changed on Sep 22, 2011 at 7:07:16 PM by jimkahnw

Well, this all beyond me, I'm no coder. I guess there's a bug, or corruption somewhere beyond the plist that ordinary humans can't see. I'm glad my problem is not unique and that the engineers can get the duck to quack.

comment:13 Changed on Sep 22, 2011 at 7:51:04 PM by dkocher

We are still the dark here as I cannot replicate the issue. Could try if unchecking Open in 32bit mode in the Info (⌘-I) in the Finder for Cyberduck.app makes any difference.

comment:14 Changed on Sep 22, 2011 at 9:37:33 PM by jimkahnw

Unchecked 32-bit with no success. Tried 32-bit with Rosetta. No success. Used CleanApp to delete the Cyberduck application and the jna folder. Re installed with the new build, downloaded yesterday. Again, no success.

What now?

comment:15 follow-up: Changed on Sep 23, 2011 at 6:26:02 PM by Chris Riesbeck

Ditto -- I tried unchecking 32bit and it still fails with the same error.

Since an older version started up for me (I don't know what version it was though -- possibly from spring), is it possible to download older ones and try? I only had the failure when it updated itself to the current version.

comment:16 in reply to: ↑ 15 Changed on Sep 23, 2011 at 6:29:56 PM by dkocher

Replying to Chris Riesbeck:

Ditto -- I tried unchecking 32bit and it still fails with the same error.

Since an older version started up for me (I don't know what version it was though -- possibly from spring), is it possible to download older ones and try? I only had the failure when it updated itself to the current version.

Previous versions can be found at http://cyberduck.ch/changelog/. Let me know which one is the latest that is working.

comment:17 Changed on Sep 23, 2011 at 7:05:03 PM by Chris Riesbeck

The July 12th version works! I downloaded it and successfully uploaded a file to my server.

comment:18 Changed on Sep 24, 2011 at 9:02:28 AM by dkocher

  • Priority changed from normal to high
  • Severity changed from normal to major

comment:19 Changed on Sep 24, 2011 at 12:22:24 PM by jimkahnw

I tried the July 12 version, 4.1, and it also works for me.

comment:20 Changed on Sep 24, 2011 at 12:44:25 PM by jimkahnw

But... it launches but won't finish a download. Freezes after about 98% completed. Could be the server?

comment:21 Changed on Sep 24, 2011 at 2:22:17 PM by jimkahnw

I tried the same file again and the transfer never ends. The file shows up in the director on the destination without corruption. When I quit CD, an message says a transfer is in progress.

comment:22 Changed on Sep 24, 2011 at 2:26:57 PM by jimkahnw

Upload seems to work properly.

comment:23 Changed on Sep 24, 2011 at 3:00:39 PM by Chris Riesbeck

A small (1 meg) download worked OK for me. Happened to be over VPN but I presume that doesn't matter.

comment:24 Changed on Sep 26, 2011 at 8:33:23 AM by dkocher

Can you download the latest snapshot build which will print some more info. Before launching adjust the logging level using defaults write ch.sudo.cyberduck logging info. Again post the system.log output here.

Again, sorry for the troubles and slow resolution.

comment:25 follow-up: Changed on Sep 27, 2011 at 2:36:25 AM by jimkahnw

This time Cyberduck launched and seems to be working normally. There were no Console messages generated tonight from Cyberduck. Does this mean it's fixed? Thanks, Jim.

comment:26 in reply to: ↑ 25 Changed on Sep 27, 2011 at 5:17:43 AM by dkocher

Replying to jimkahnw:

This time Cyberduck launched and seems to be working normally. There were no Console messages generated tonight from Cyberduck. Does this mean it's fixed? Thanks, Jim.

There was no change that would fix this issue that I am aware of. Can you check you are sure running the latest snapshot build by opening the About Cyberduck window. It should print 4.1.3 (9038).

Changed on Sep 27, 2011 at 10:13:44 AM by jimkahnw

jimkahnw screen shot Cyberduck info

comment:27 Changed on Sep 28, 2011 at 9:06:35 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Will close this for now although not finding the cause is suspicious.

comment:28 Changed on Oct 18, 2011 at 12:38:00 PM by dkocher

  • Milestone 4.1.3 deleted
  • Resolution worksforme deleted
  • Status changed from closed to reopened

#6312 closed as duplicate.

comment:29 Changed on Oct 22, 2011 at 10:36:45 PM by dkocher

#6318 closed as duplicate.

comment:30 Changed on Oct 31, 2011 at 11:56:05 AM by dkocher

Can you please post the content of the following directories:

  • /Library/Java/Extensions
  • /System/Library/Java/Extensions
  • ~/Library/Java/Extensions
  • /usr/lib/java

comment:31 Changed on Nov 1, 2011 at 9:10:01 AM by dkocher

Can you also open /Applications/Utilities/Java Preferences and choose Restore Defaults in the General panel.

comment:32 Changed on Nov 1, 2011 at 10:10:27 AM by dkocher

Please also try the latest snapshot build (9098 or later).

comment:33 Changed on Nov 1, 2011 at 11:09:43 AM by jimkahnw

I checked the directories after downloading and launching build 9095. The duck quacked and I was able to launch and use it. I have not tested all the functions I usually use, but before I couldn't even launch Cyberduck.

Here're the directories you requested:

/Library/Java/Extensions - empty

/System/Library/Java/Extensions: AppleScriptEngine.jar dns_sd.jar j3daudio.jar j3dcore.jar j3dutils.jar jai_codec.jar jai_core.jar libAppleScriptEngine.jnilib libJ3D.jnilib libJ3DAudio.jnilib libJ3DUtils.jnilib libmlib_jai.jnilib libQTJNative.jnilib mlibwrapper_jai.jar MRJToolkit.jar QTJava.zip vecmath.jar

~/Library/Java/Extensions: No Java folder

/usr/lib/java No usr folder at root level of the drive. There is one in _Archived Items, but there is no java folder in the lib folder.

comment:34 Changed on Nov 1, 2011 at 11:44:12 AM by dkocher

  • Milestone set to 4.1.4

Fixed in r9098.

comment:35 Changed on Nov 1, 2011 at 11:44:19 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:36 Changed on Nov 8, 2011 at 4:28:59 PM by quadrater

Tested with build 9157 which fails in a similar way on a recently reinstalled OS X 10.6.8.

2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]	[LaunchRunner Error] ch.cyberduck.ui.cocoa.MainApplication.main(String[]) threw an exception:
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]	java.lang.UnsatisfiedLinkError: no jnidispatch in java.library.path
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1792)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at java.lang.Runtime.loadLibrary0(Runtime.java:823)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at java.lang.System.loadLibrary(System.java:1045)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at com.sun.jna.Native.loadNativeLibrary(Native.java:669)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at com.sun.jna.Native.<clinit>(Native.java:118)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at org.rococoa.Foundation.<clinit>(Foundation.java:73)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at org.rococoa.Rococoa.createClass(Rococoa.java:49)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at org.rococoa.cocoa.foundation.NSObject.<clinit>(NSObject.java:28)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at ch.cyberduck.ui.cocoa.MainApplication.main(MainApplication.java:49)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at java.lang.reflect.Method.invoke(Method.java:597)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at apple.launcher.LaunchRunner.run(LaunchRunner.java:115)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at apple.launcher.LaunchRunner.callMain(LaunchRunner.java:50)
2011-11-08 17.25.50	[0x0-0x15a15a].ch.sudo.cyberduck[2170]		at apple.launcher.JavaApplicationLauncher.launch(JavaApplicationLauncher.java:52)

comment:37 follow-up: Changed on Nov 8, 2011 at 4:59:15 PM by dkocher

A user noted in the group that he had to reinstall Java for Mac OS X 10.6 Update 5 from scratch.

comment:38 in reply to: ↑ 37 Changed on Nov 8, 2011 at 5:10:28 PM by quadrater

Replying to dkocher:

A user noted in the group that he had to reinstall Java for Mac OS X 10.6 Update 5 from scratch.

I installed the update and then it worked. Very helpful, thanks!

comment:39 Changed on Nov 23, 2011 at 4:16:03 PM by dkocher

#6381 closed as duplicate.

comment:40 Changed on Jan 21, 2012 at 3:51:11 PM by aladincz

Ia m trying to install update 5 but it was cumbersome to find it and now install it. In meantime I found this link. It may be of some interest for you. It tell nothing to me. http://stackoverflow.com/questions/3686352/error-initializing-java-runtime-environment-you-may-need-to-reinstall-flash

I face the same problem as above on 10.6.6 and CD 4.1.2 and 4.2.1 and not sure before.

comment:41 follow-up: Changed on Jan 21, 2012 at 5:30:45 PM by Jimkahnw

I switched to a computer running a older install and when asked to upgrade, clicked OK. Current versions runs fine, no problems. 10.6.8. It's always better to run the current OS. I'm assuming Cyberduck is developed for the current OS version. The group claims it works with Lion. I'm sorry I can't be more helpful.

comment:42 in reply to: ↑ 41 Changed on Jun 29, 2012 at 7:33:14 AM by aladincz

Replying to Jimkahnw:

I switched to a computer running a older install and when asked to upgrade, clicked OK. Current versions runs fine, no problems. 10.6.8. It's always better to run the current OS. I'm assuming Cyberduck is developed for the current OS version. The group claims it works with Lion. I'm sorry I can't be more helpful.

I know it is closed but it does not help me. It wont launch nightly either. I would like to ask for a help because I can't install java update. It tells me that it is not compatible with language of my computer. But I am running English version with just my local language set as preferred but without localization. It fails to install even when English is set as default language and I log off and log in again. What to do? Let Cyberduck go? Thanks a lot.

Note: See TracTickets for help on using tickets.
swiss made software